<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chapelles', function (Blueprint $table) {
            $table->id();
            $table->string('designation');
            $table->string('code');
            $table->longText('coordonnees');
            $table->unsignedBigInteger('adresse_id');
            $table->boolean('status')->default(true);
            $table->timestamps();
            $table->foreign('adresse_id')->references('id')->on('adresses')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chapelles');
    }
};